package com.ssj.bean.weixin.sales.domain;

import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.ssj.bean.common.framework.core.domain.BaseEntity;


@Entity
@Table(name="zyb_qd_salse_his")
public class LibQdSaleHis extends BaseEntity{
	/**
	 * 
	 */
	private static final long serialVersionUID = 8054775023269801347L;
	/**
	 * sales_user varchar(36) ,
	order_detail_id varchar(36),
	sales_fee decimal comment '提成金额' ,
	stat varchar(3) comment '打款状态，是否打款成功 1成功、2失败',
	create_time datetime comment '创建时间',
     give_desc varchar(500) comment '打款微信回复说明',
	 */
	private String salesUser;
	private String orderDetailId;
	private BigDecimal salesFee;
	private String stat;
	private Date createTime;
	private String giveDesc;
	public String getSalesUser() {
		return salesUser;
	}
	public void setSalesUser(String salesUser) {
		this.salesUser = salesUser;
	}
	public String getOrderDetailId() {
		return orderDetailId;
	}
	public void setOrderDetailId(String orderDetailId) {
		this.orderDetailId = orderDetailId;
	}
	public BigDecimal getSalesFee() {
		return salesFee;
	}
	public void setSalesFee(BigDecimal salesFee) {
		this.salesFee = salesFee;
	}
	public String getStat() {
		return stat;
	}
	public void setStat(String stat) {
		this.stat = stat;
	}
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public String getGiveDesc() {
		return giveDesc;
	}
	public void setGiveDesc(String giveDesc) {
		this.giveDesc = giveDesc;
	}
	
	
}
